View Issue Details

IDProjectCategoryView StatusLast Update
0029653RunnerHTML5Public2018-10-26 15:50
ReporterClaire HallAssigned ToAlan Savage 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product Version2.1.4 
Target Version2.2.1Fixed in Version2.2.1 
Summary0029653: HTML5: draw_text_colour - corner colours are not applied to whole string
DescriptionOn windows 'draw_text_colour' will apply the corner colours across the entire string drawn, however on HTML5 the colours are applied per character.
HTML5 should match windows
Steps To ReproduceCreate a project with a font called 'font0' and the following lines in draw code:

draw_set_font(font0);
draw_text_color(10, 10, "New Story", c_white, c_blue, c_green, c_purple, 1);

Run in windows
Run in HTML5
See that the colours on the two platforms do not match

Tagshtml5, Runner
1.4 Found In
2.x Runtime Found In
2.x Runtime Verified In2.2.1.268

Activities

Claire Hall

2018-06-12 15:45

Developer  

draw_text_colour.png (54,327 bytes)
draw_text_colour.png (54,327 bytes)

Alan Savage

2018-08-03 11:03

Developer   ~0061039

added sample for also testing flipped/mirrored/rotated coloured text with draw_text_ext_transformed_colour

 

Alan Savage

2018-08-03 11:03

Developer  

html5_textcol_29653.yyz (74,055 bytes)